Subject: bug#55247: [29.0.50; TRAMP] Tramp Always Thinks Buffer Changed On Disk After Edit -> Save

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 05 May 2022 13:16:40 +0200

Jacob Faibussowitsch <[email-masked]> writes:

> The next time I try to edit the file. I know for a fact that the file
> has not changed, as I have compared copies of the file:

[...]

> $ diff file.c file_tmp.c

Changing the timestamp may also trigger the "really edit the buffer"
message.  Have you checked that something isn't altering the timestamp
of the file on the remote system?

> $ emacs -Q /ssh:<ssh alias>:path/to/file
> ```
> 2. Change something
> 3. C-x C-s
> 4. Try to change something else
> 5.
> ```
> <file name> changed on disk; really edit the buffer? (y, n, r or C-h)

I'm unable to reproduce this problem in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no